Subject: Re: Cygwin is SLOW.
From: "John Vincent" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 16 Jul 2002 08:24:19 +0000

Hi David,

I think the cygwin developers have deliberately made new versions
of cygwin go slow because they're mean :-))

But seriously, I think if you want anyone to look at this, especially
as you seem to have a whole network of installed machines and users
in your company, you could take the time to find out what is taking
the extra time (at the source code level) and propose a solution, or
if you feel competent, supply a patch.

I'm not one of the cygwin developers, but I've been using cygwin, and
taking part in this list, for long enough to know that it basically
all works on good-will. The more good-will you show, and effort to
help you make, the more others will.

I'm sending this email to you with good-will and I hope that's how
you take it. My point is that simply saying "we've got a room full
of cygwin installations in our company and it's not good enough"
is not going to get the response you want.

Best Wishes,
/John Vincent.

>Modern cygwins seem to be very slow. "Modern" meaning built within the last
>6 months or so, and "slow" means that many basic file operations, such as
>"chmod", seem to be >10x slower (measured, not exaggerating) than previous
>cygwins. This is creating a pretty tight situation at our company as we're
>having to rewrite scripts, etc, to work around this. The sample test script
>below should demonstrate the problem. With "old" cygwins I got nearly 1000
>chmod's second on my workstation. With "new" cygwins I get under a dozen.
>The comparison was done on the same machine, same filesystem (NTFS) with
>otherwise identical conditions.
>
>Have others been running into this? We're seeing this on all the machines 
>at
>our company, so I'm pretty convinced it's not just a localized wierdness or
>misconfiguration. We'd love to be using Cygwin, but we may have to bail if
>we can't get it to run acceptably fast.
>
>-david

_________________________________________________________________
Send and receive Hotmail on your mobile device: http://mobile.msn.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/